package puissance4.model;

public class Puissance4 extends Grille
{
    private int nbCases;
    private int nbLignes;
    private int nbColonnes;
    public Case[][] cases;

    public Puissance4 ()
    {
        super(6,7);
        this.nbLignes = 6;
        this.nbColonnes = 7;
        this.nbCases = 42;

        this.cases = new Case[nbColonnes][nbLignes];

        for(int i = 0; i < nbColonnes; i++)
        {
            for(int j = 0; j < nbLignes; j++)
            {
                this.cases[i][j] = new Case();
            }
        }
    }

    @Override
    public int getNblignes() {
        return this.nbLignes;
    }

    @Override
    public int getNbColonnes() {
        return this.nbColonnes;
    }

    @Override
    public int getNbCases() {
        return this.nbCases;
    }

    @Override
    public Case[][] getCases() {
        return this.cases;
    }

    @Override
    public void viderGrille() {
        this.cases = new Case[nbColonnes][nbLignes];
        for(int i = 0; i < nbColonnes; i++)
        {
            for(int j = 0; j < nbLignes; j++)
            {
                this.cases[i][j] = new Case();
            }
        }
    }
}
